//		
//		DocViewerLookup.h
//		Header file for DocViewer Apple event Support
//		1993-94 Apple Computer, Inc
//		Dan Peterson - Developer Press
//		


#include 	<Types.h>

//		Definitions from BlueNote 'Seek.h'

//		Event Class & ID
#define		kDocViewerEventClass	'bnot'
#define		kSeekEventID			'goto'
#define		kDocViewerAppSig		'HLX2'
#define 	kType					'APPL'

//		Level Access Constants
#define		kFirstLevelHier			1
#define		kSecondLevelHier		2
#define		kThirdLevelHier			3
#define		kFourthLevelHier		4
#define		kFigureLevelHier		201
#define		kListLevelHier			202
#define		kTableLevelHier			203
#define		kAnyLevelHier			999

//		AppleEvent Param Descriptor

#define		keySeekParam			'beef'

//  	Errors Returned from Apple DocViewer
// 		via the 'errn' parameter of the reply event.

#define 	kBadBookID	 	-2700;	// Couldn't get the book record.
									// (This should never happen!)
#define		kEntryNotFound  -2701;	// Couldn't Find Entry in TOC at specified level
#define		kWrongFileType  -2702;  // ADV was passed a file that it can't deal with
 
//		Data Structure used to supply event parameters
//
typedef		struct 	SeekParamRec {
	FSSpec		aDoc;			//	FSSpec for the Doc to open/search
	Str255		aPattern;		//	String to find (length prefixed)
	short		accessLevel;	//	find level (from constants above)
}	SeekParamRec, *SeekParamRecPtr, **SeekParamRecHandle;

